image:
  distribution: OpenWrt

source:
  downloader: openwrt-http
  url: https://downloads.openwrt.org
  # see https://openwrt.org/docs/guide-user/security/signatures
  #  or https://git.openwrt.org/?p=keyring.git;a=tree;f=gpg 
  keys:
  # PGP key for 22.03 release builds 
  # Fingerprint: BF85 6781 A012 93C8 409A BE72 CD54 E82D ADB3 684D
  - |-
    -----BEGIN PGP PUBLIC KEY BLOCK-----
    
    mQINBGI9uGgBEACn5DOJLGMj7NyuV98wASdbhLpWMydr90DFP6T3oE/MG1NEytS5
    1p5bihUsZKRrvCD/T8cguTHXapJyOmlBX8cOBDuEL4MMn+gflbFuQ+5FLLQmX40p
    h0y/XMakenTeOG4oxjAgxvdy68Sw2MOan1VUXdq0JwPtN7T+7Tv8q7ivjuvWYqUJ
    sxiVEzsxRqZHyJkyEKuu2yEjfqRnVlarrMvYtWNkGt7GtPKO4lB4IaZkG6jUJWJG
    7+TBsX8CtbK0y7NOyI2fXYc7w2Jix1OdWeyDyeAJwo9vig8XdRjsGy2w9JkEiUL1
    fbF8TyJBy8O6Zi5IZGmTfYLu9odpcj2RloNv45XNV9KvGLWOG78sBJcuVilT3ouC
    fTDUBL5A7P8Hsz9qAcIkY9QNAH/uHk+v4X4tqahyzyrWRW2S9xzlpjcMXJ2rH8kl
    GTBQ8KIe216jhLtFwIl0s/+D7pEBpTn7UY2Ocu+Ifa3nQB+WQ+7NsHdwb8XZ1CFX
    coQd3o4sSjeddYzlBWh5LTV49OeIgqg69DyaFELh9OdU1VNfaV4ri7pIEtYUs7fY
    nvhO94neFVmcWxnNoSO6O+OPyppxKpowMryliZJJLFS6CUfNVtZg807c4JVY1SN1
    wNEUy4Bmhz59RS65UCTtPIVxC3qWJxFlLdIs3DQj9MDOj2DNsN2uOEvEYQARAQAB
    tFZPcGVuV3J0IEJ1aWxkIFN5c3RlbSAoR251UEdQIGtleSBmb3IgMjIuMDMgcmVs
    ZWFzZSBidWlsZHMpIDxwZ3BzaWduLTIyLjAzQG9wZW53cnQub3JnPokCVAQTAQoA
    PgIbLwULCQgHAgYVCgkICwIEFgIDAQIeAQIXgBYhBL+FZ4GgEpPIQJq+cs1U6C2t
    s2hNBQJkK/D8BQkFsJ+UAAoJEM1U6C2ts2hNkFYQAJL3Gw2D1F4F2n4N7zNtZRKZ
    /5w5gS4LpZD/oHVeb0PFUrndhITnMbHu+j4qPIvZA5XXpxufSVNDAkT0+62Xss1P
    kRErqN49ovCQx7wlp3mmoQrnX0vLvV2CONC3Ubo0lSxvGKvSM8GJCwOV9uz7aAJw
    Il/gm4NM+v+XzeMalhaSqLsFdmNejoHqnW6G5oryG22tWcdDVJWj8deDoKmLU5Dx
    j7th50GeipY5lkSZ00DQO6Wt4kCPwSRYD4r6U1J2Ne45NO2PG2wxAzXcEaXpFM/T
    ZH61zm5eR1jnmypD1HyqMZqSEVx5AGc/CKCAxohsV37VAmANNsvD7Zy/o9/jd3xr
    bcf6LLuYyvyiNn+i1sAyurEoWl1zWn1V9frCNdHasI7o11tJc6egv4PQTeoNRxgl
    Fke89HG2Cl0z+4RwBtdHcEzEHm4BEFeyem3WNJqZQVwCMLOfjRNIy5NSkzct8t59
    EB0NOASQLbrDXpJM/JQvfBTi2XQc9vFS/gnAbAij1yodFfWlhC05XBeBtBN5mSk4
    RjWJPyn2Ei33xXX31DFwOHXGyWaJhSzZc0NMfNWPCwALj7xe6Lt2jTW4qoeSnkru
    BDyYwa6v/BDEIwRdKeJDMaT94YG6HyO7BdZkysOO164UHyaPywYO8hfs25jVAYNI
    synaGhygju8Pftn3JIDHuQINBGI9uGgBEADRiflKdf4QUg3khIWf2LERq/4aHP0w
    auyO5nAaokQc9XEJdLliNgBK2KLtjvvTmtIlWolS+dSW/WsaUEFBjAzjIe5qrTWe
    hb4VLTAjBvJQE40vA868Q1hO5+deFftz++RxlO9ovjqhzGkTi+2Iuald+zO01LZ6
    PyJvnwHMnvp1vX6Ge5DkI1lJZCcz6VfB1c0NmwF+E8jY4DGKNS9sZD6Uc/dEfnNK
    xyEkby/87GVZ7QwzXZ3O2XOeRFPrOsufC5acelT6z4PkPhjXQGu1ibKhYms48aOq
    koZ82Yzisas2ESbHH4uFOHkIfhNfLqoWTbw3UB2u1CKQGyb7kMJ7F70Jy8dzqA+l
    A87gZe4jamHlCfORAI8rKW006WQMG8Xp09+8ylpHHr0lhE+gaQNnn793yDDbz+gs
    1k0CQjCo/Nh2MblhA/Q+58o9aYt7xMbHATyZ9MhYCFcVWzOrnWaVKKKaJyYBiFcM
    p1s/2JvN40egHOeQmXaWcBMlMqWhxnGXWGgThHXYaBA4x8YuT6RMg6TzByF20WMY
    LcIkCWKqQZNCIESW25srUnCS+ZKdwmg9kbvbKV3cf8pxAKkcR+x8qGLYItF4aSjn
    yAP2dSkAYI8zNSKnrFvorpGtLzy8cKFDGeMr0e7reggYuvgKiLRTgDY5VCezZBWG
    u8nG6cJT4UYGywARAQABiQRyBBgBCgAmAhsuFiEEv4VngaASk8hAmr5yzVToLa2z
    aE0FAmQr8QUFCQWwn50CQMF0IAQZAQoAHRYhBB/fz2n2+3d2sU3WHas/QEkTqg1a
    BQJiPbhoAAoJEKs/QEkTqg1apYoP/2+sfZcG1xXtokKtZziCopd9BDgsg0Tx8JDr
    nII2m2HaJko1MuHTvsIH/R6SKnEl+7R8cVwTk1cBrcLpikbEj/NjKsFue/WIctku
    vZr59Yy8HeQkCjFzabPYcp7fHm2uWaNNpL09AX9j78CYJ2wDNSWJkgJ5khM8RiYC
    oCDmBDGevF6rDaAuOvFq/kv859KNjy17fpLgj8J8BVSOb+m1Y4HMhyhWyT3EsxZT
    GQEN7CE7a/ANVoh14OvwyVTH1XUc9ts2JmSVCL0eThnDpf42IJoH8rR1sV0fomGu
    aAAesJNk+8QtPJFZbTbs0I4wzGrna+DfboRnnHiLHaKtXQRbwTmMrn4O1euAHd0y
    GE2JaQ1PMy204E9xw68kQBLPv2Tp4U3ukbr0IjjHSPbUXqUor+F+kHcH+yRzaN2g
    JtSV52jsRZB5LnZ7KIaLkMtXKnClq0lj0DaxboILdHKuJEkVxZMR/0VxFVTo4ibs
    JUIfCI9lhIClXWs3c1mDHbs1VVYLzxi/wU3i4LfeHfwXYGgOAdWMMfRX6IUF8Y1C
    0sGwFAqbTKhgWkW1GU8uyd/ln+vg3vOE4HVZHI0ODiKddK6F8BNp04IUOeqoZPAs
    SUtX9K8t5ZykmDCdRP7Be26Jd0zrsEdX+KKBoXzKXveOFaDyZlPyuh0bTDVOIUbR
    7l90j/UWCRDNVOgtrbNoTWmoD/4qPJhsinZucbf9SWG2IwJZTdminBv6MeiqaBmQ
    /DtXE/gGxGEAdZGQkyzumBCpNub15PtLvQyR2pf2PGZzJ17H085b4kHLQ2rAHA7I
    GyZmf6d9mzhla+wD5jtGkla9qoSLX8MBfhnj7XuVt0hyS85nVJzR7CNvm/g2NfcF
    0R40Wm0jr1FEWm8Wt/bzrIh7EkaCHcgjBRWw5kKxUZ4bnXdv3tDSpWb8GCMudgDV
    LSB6IaElioLdQTswhMHARaPnwNBKYmBAvc0/A71rvnvamQEUHyRocLFN9dDe5YEA
    tZS1iSTGFXkEzjP+OLw2xEkR3jt9+gixs9Z6mpzzKy6AolUjSx0Nss5Ov6BgDiYp
    6xONelwUl3EJT3Nv+H1XUWbyQJxuhOFbRjLeciewcdNq46T9UlD/HPzFj1Tmw3UL
    zMoWopAl6ha5GY5VqV2RAy5LX/m9s8H1XQWD1i3CjcY4gdV/OaV8ttaVrB/gsK4m
    aQ6ncZNwU+ittkAlnfXTrY2f/8RWryHzT++Bg3auFIDfJHcTZfBOa0ZFAhbMA3eh
    M9lVWGfNaje+WlNOOlQvqJqGVnSYtu4Ivuw8VdHy27FIpOL4R8R40d14hu9DF30k
    rqXkCGBJ5pvDyGyYou9mF6yG+JOR9rIiVHEUu/mL1Fgcj8JsKt6T82DgmUHo54fW
    JqTmqg==
    =u48+
    -----END PGP PUBLIC KEY BLOCK-----
  # PGP key for 23.05 release builds (upstream calls it: "unattended snapshot builds (deprecated)")
  # 0x6D9278A33A9AB3146262DCECF93525A88B699029
  - |-
    -----BEGIN PGP PUBLIC KEY BLOCK-----

    mQINBFeXZ7wBEAC3QZ+jhWrdj2XW9AdZpZrgHETZCW7lXxI3pJ2kS4UXNq+40KR2
    GJOdsXDnLb7ZiHNn6yio6qKLXFD/bimxK+22HSJlc3LSF2kKzNrgKoFR2rIKbL3c
    Us7GpWY8VqGTrfwR6OQNcoWqa1n5/tK9xuqKhfpoA2Eci8K+w5YCzCmnOz2vzbgS
    ptuFshTKYI2Z/DLQZyP+OQkEYPfCdani2KsISn4DTx8xFjmW/sb/zf0isemTwWyK
    Oh76FTa0tYdjTtAv3JHqyr2XkddM/oUSc09baCOfhUdo7Ep5rUqKw7BQsjreBYoZ
    WcL/hmlIksUrFlqo/HRpoBgCZpSjsF/Z9otZpSugMHVVlRCnAKQiWxWAd+V+y2FG
    q79myPgiMkbkaIrCelrUhDFRQ5wTnfAppFolw+xtT9bwdkwxZDNBe6PCYuLqD8wg
    jtDtt3q5UaUOMGJrMDKZ0Wi6ycdl/sM59kLfyBV4ybmYkwOLTlMvOATiyUZeJJZO
    2bTKBvD+izsx3Ea4VLPWYSFmk6QwaOMtj6tcXwBgtljzqMJ0S9Gubmopy3WAkP/m
    /6ETJpuIupqEtvbRTX4O/+qnBgY40aQX7B4NgJi2SypP/WML5v2B2amLlhTcN+we
    ULWyH9KvfKny5mrtG5C9xq1eAgKtB2QEDEbRyz34DWVWGpqIY1mscaNv8wARAQAB
    tFtMRURFIEJ1aWxkIFN5c3RlbSAoTEVERSBHbnVQRyBrZXkgZm9yIHVuYXR0ZW5k
    ZWQgYnVpbGQgam9icykgPGxlZGUtYWRtQGxpc3RzLmluZnJhZGVhZC5vcmc+iQIz
    BBABCAAdFiEEwSkIfI43XlhyVMRA6S/3L+xHv74FAlxgMHUACgkQ6S/3L+xHv75z
    Lg//WAirxnXEfYpSRl1iBlwZIF/nDcvqsorVRKv7fmUHQML3CkFp5c2AYDQQEE5E
    Y2kcHgb0LBp05x4CtVj/gHO+E/w+k2UpxU/ZXZzw589pZr16sj+7KMAjn1Wieam8
    fG4WI+zpdNWqFnuhUaQvT+Z9LTnngaCcyOAduC2DIFfRzcZEKIqQ1dhSvjLECrbX
    G0Ebka+KNzFMszKXmy74Ylk/8wNEWFvTEL+wKC5gFoGxp8JSPI9AWBpMLwPuL95Y
    RnV4pLzSKF89g/M8Rr4pw5Ks4sGZxcKtSDgXu0ha6ExvCkp+3oWDAAmIVnVc2IkK
    wNSD9F+c3an2k5jMxj/QeWJpCrOR1zOdJyV8b+D4pXvngO7a//kz2pc9kLEDGDQy
    z1CmuDkU7FjdU1DawCMYipGpHH4N+KEOBe4T9vEeLbAt6WKcYyteJ3boW8wMwvJg
    LQ0DXNIl0Gmgf+I0Zz0mZ+4WL7FfpaC0LhhHpoIqlaFPNHTPQx7TCGCnjC2qZ1UG
    u7wyjElQZ7TkWVgbY7vf7dDGEOnGemwUAaQTxoDzJArvvDyb4KWAWLDu4Hu8eLjE
    m0o3YdgprJxaJ3FLnt4wzkUFEeR3Mm8QAvOF5avZHROx8uVbjYZ7H4c9lgE98n1z
    jhK5MmeLSG1NmXWAyIQiPuVzjG+DQyY7Cob3dKWES9wQ9HiJAjgEEwECACIFAleX
    Z7wCGwMGCwkIBwMCBhUIAgkKCwQWAgMBAh4BAheAAAoJEM2EvO1iZHHxonYP/15F
    BZ6Rp5fx4BwCDOC4VLXY4OWDbeUnHTR3TMuFlwDovJxglGYU34zS2xUNnrLtsvLX
    +HRgVi9iUmThkT7qxvgj8ZKQzKp5kDLzCEQth8SmFdVjHT/CDKd3nvATSUOjz/Oa
    3esrV4PTMmKg3twvcD+3cv75qXiDCaq1N9QiX3oBdzdgF7+vBdKLtKEQ1UpiNNoy
    6A/kEn2RRm5oiOZdla9ERtRGAExZHu5HnpcokHAMFAy0erYChmzaI1Hd0byvvRJv
    9wxKACqHANl95XvWvv4935qy/FhvQl402Bnayz8EDnJqlQpkuC6FXrLslJ8d1vur
    W3WP/B+qBi1AkHkrfUkbGP7JpHFwXwtu8ZkE2FoglX6zgeZN6rjIjbSkJE13yUtj
    zRcAhJOTwM/CBMs68w8psNhbj78ULwnqqgP0MHJDEN25Rafm4PgttVn3q/34u1/0
    snNrEVVIT91Ky+AU2Ojq7b254bppPFQg5zhaLeYLSo2GqjIBuDpeD3bYQX+x3qF/
    dpBT2ulw9tyw2iCcaCsp/JES8yUGxD1TelFwo+UbTlt9RxrJeSHn2ohVTiQoJpbo
    sHLV+QFjJjc2Pl6gIB71+b2K+LnwV0j7uwpzYDV8y5VLzcHfvSyoCy7q/au+pjPq
    dLlUUhZgmYvyRtSZ/kVbBu5wfv+Ov2zdsHTBQdwjuQINBFeXaH8BEADO0x1PmKDk
    wozTZMWyYa91zRJBUc8nKY9OHqL9fABtJ5pMSu8Ys/eR77Zx0KMw56ziy14gjkxT
    poPnuLXNT/rGFnZmvyxnh8I7N+qgjgA4h566I74jlvLY/4z6+Pa/9TsoxZ6LEWNO
    Si1Zy8YauI/WNxFjUUcytN+r/mVlg0cfPP/bO+zOrTb9Y/5v8aHVF/XJ+vkOVcrD
    pD7t+QKDwFZ8uJyFO0eJHQ5w7Sa0PoQLHP6KoMSVtIB4T1DTZ84VMXiycfAIm/KQ
    dDgQq50ShdwgQ5HxPIfa0qisPzbUT8NJX04D1cgGkMdq8VDcYKzb0ZBypyLjqc4u
    f8taqBMHzqyAfiadCsaxx5VjN/xq8zxzxPLGS58F3+TTWU+fWwr/nvcBZ0VFdWY4
    IyaXE9wjyTX6IYfULvPRpfjc2+EQjfF9uBMrwT/sqWuf/nFdS7ZQFii/SApplHLc
    ukYX/JJHWm+cdmZQ/nybLYsN9YMd0esaaSMtqrKT/6oL00rBRAFLuNXsybXkHRuR
    HuCsvH683mVdV4bDIMvZ1tFPT5wfyWgdv6UE5HwBsObhIld1pF0O0/Krzko36Ob7
    01OhHP6jJ0v2uaC5TnNFwgO1oWJivtm2QslTdTTaunS5/8N3K0W3NL9gRumCDZSL
    furnmaXvTvMkvYO8F9/L8XaSI2lV9ni7lwARAQABiQQ+BBgBAgAJBQJXl2h/AhsC
    AikJEM2EvO1iZHHxwV0gBBkBAgAGBQJXl2h/AAoJEPk1JaiLaZApD88P/1z+ydDa
    KiT0f08WKdia44Dq1/g1ufTJf2g5OyUMnyi3pIHg5cZcZ5PSW+rK1thV4CWJ8ESV
    hFUVhm3vp1uOGqayYMxmxgdtpchgtlI+5MRNUTelmulaGb1CSFt4TKKECh+BaV4G
    Ylx3xVeevOw2QkY2iQDqCpn+V2om3MzCR4cznwMej+AU002XF7wzzc8cDSs3jwXo
    NTi1l4S/P79AauefgNZwGGZaj7Zku9MsjhwH3fz2PySzsUUVcuLWCdaKBavb24a/
    yJmkCd5jrjXhxlbcbv3BMjAABNG8i+sj2ly+uJSsx07JxNzBc5p315er+Yl2Dx0S
    kqIgDxVz1Q11P3dpm3yvrXQts5GZ2r7AWMSFa+HvEq72EWb/dQxBRpWXeOwiWplP
    gbx6z5EsecpU7MsxGi+pEpFuwKxfEjGxWrHOEpDn7AsKmKxU18fnVYJNIugDPuzS
    MosJLO55QhuFXa80EzmUUs0KXflSA3Vpi5G6wjsbKqQ9P8DxVaPFXGfujZIEjDK7
    iFniMWyreoc7KAi5G104dFfW9ESansUDf59WfHQIlSKV+caOF/+jJ18QLoa5ZSf2
    RMR/Z4mw43BD2A9D1AL1wUZEVGtXBBx6OvtX4MFlJ3Njxgu+ftGpHcyaVd2laKOq
    PueiLYL6RtWpsuJf8tZ7ZrGAoT5RMHuUZ2Xu/bkP/324UjMmaoB2EQARCBvXsvuQ
    5XQw4HAW1np8SUlpARBXj0mJCaBPMAsOBcPQAKlPmqhBgIFPC7ObYP3d6R8yfPEX
    w+bBbprZzOsbUqhGKvYRrKGASg4m5Ycud5vmdRztfeSsY1InebL6UzDZADfAhfsQ
    BLoklSdkWnvBrB5x0J6REX1kTVn9kGJRlHXsORsChiMRhkXGJcBwbqwUQz25Mb7L
    3VFxA+ry1j6PDZ3vpmMdKegqOc/ZXGya2JZDvIuP/m2OtXNB+0httBBMrhXg7hpX
    ZjXCCQNs080nq3RuJCQdC/7i9osyic58yAZ1Z1gniET2eW3rUCoaJ06fIzE5v7Ze
    lXKk6g49xPJOp7wFSMJy8dDC6RkuTdcTs5ChHTBkEWE6vgkJjNPEjP1ditLKRmCR
    kynw7jNs/6PVlNe0kS+88eM5LUeQvU7Uf5b3x2eX6hAw1CEe+8TpR9YSiV+5a8Gl
    8/XalSdFAADIIGqXgkAV6gIkR0kaTPygU4XG/SQKl3skzWBYSza7TDrX7kx6WaWI
    ciZaLKGBXhfIpbqN4pYil70TkvtvxI8jkcd1PuinLcbtoPVcjeSN1oiIyclurSdK
    9zlWpETtS/QQRx6m8V6K5gdjJ2W7FHI1/+2zYmyR8Sew5zUmJL4Y94igaYUvzmq0
    U7NziyphAaEuP2IxF+Y3
    =kEox
    -----END PGP PUBLIC KEY BLOCK-----
# Universal GPG signing key from Nitrokey 3A key
# Fingerprint: 8A8B C12F 46B8 36C0 F9CD B36F 1D53 D187 7742 E911
  - |-
    -----BEGIN PGP PUBLIC KEY BLOCK-----
    
    mDMEZGYbnhYJKwYBBAHaRw8BAQdATHfcRHxMqX/Z/bRtFvHekZK6uM1BV13gDBvR
    uHWswEG0Nk9wZW5XcnQgQnVpbGQgU3lzdGVtIChOaXRyb2tleTMpIDxjb250YWN0
    QG9wZW53cnQub3JnPoiUBBMWCgA8FiEEiovBL0a4NsD5zbNvHVPRh3dC6REFAmRm
    G54CGwEFCRLMAwAECwkIBwQVCgkIBRYCAwEAAh4FAheAAAoJEB1T0Yd3QukRj7wA
    +wcedxIFa5zySg2+R7LtMnUuuICsnZAkt+dYLFpOg1+eAQC9mXQlUjxD6o7OmCUI
    D2dnaFUn5oaAx+Pp/1MaeYs+A4kCMwQQAQoAHRYhBFTMdDB6LG3JzmGCac2EvO1i
    ZHHxBQJkZimAAAoJEM2EvO1iZHHxmT4QAK58mk2DacqyPDgED8VkI1lTXOkQF7GD
    w/BQHoEtZun8NtvCjEYtJ+6JA6Z0GOKAl8LTIntX7j7wFaaJWiZ9B6jmwyl4DK+Q
    SRnstMCv3jYaEiTlT8GQQXZpTGBpPUCCzp3ykqG1E8Yq9erXsR+et9rinF+hxjvQ
    9a7lVETAec0EEpwA9WYpR/H8VJQVpT+PIRZnyI+mgQgmxJvYkJ1L6ubWPznjDvPm
    IpIeUKGym+oZjtwVT7uYWZFdfrYw3wOdOm+IytXAEQerbMwog9AAl+/n4xHVooFP
    0ZT4hOA1vgeobx2MRAdipJzhp6vNwCsJ9iCYU9LexveYzkUXqpED59iwnsQdIPSv
    DI9J0jNBbNFzqj3XxN4/lyFtvQG/Z4CE/682ez73E0jIhshvnZwuVcloQVuxpSAo
    hgFpy3QDUMr/BqP3q5kl04NaCxrTgmPACbj6LxHLXX7m7xnAdi9HNqsi23jTlC7T
    Fyk+xEnBwKsdpERPr0T3lIiizl3VIQrW36IRgdR8urRDETFWJ+TmhO2AiM2gmaYe
    l/UH2MiCNfsDEmCMp+Fjb8YcEp8ZVed8pEmaNzlG7ykf4qMzoeTR5uewupLf/ni9
    +QtruqXe93TZLuCn6OADAC/nZwFnO0AzELpIcB+1gECBMORzfl5O4F0gk/GN45Ti
    a+qYI/OBnO8BiQIzBBABCgAdFiEEv4VngaASk8hAmr5yzVToLa2zaE0FAmRmKagA
    CgkQzVToLa2zaE0kRxAAlTRGMJeUrUiHQ7t0ES+7trydHX//xQhH2XBJhEjESSHi
    ElYr9fnm+jthu5PqOeSho0mRhPlmKjgztX6eRF/dAxhbiCcUqKQcxrOLwRxP+BDB
    pJ5MEbGWtNiMmdqbTCPA/7ehys4lLnwPK2IkLiwc8cUuw3VSYPlDvEUE5f8XlcNQ
    q/7rijNM+zBGc/67qIAIemRDbF2nNVKd52fZ+v75CzSMkfje5F2j5L/zZSCYLMex
    n0TYW/XfSimjQRj0xoedt5GM6nfhDX1/cD85Ntzt6t5v5lEZsIh1F33ffCVjqq/x
    XHg3CVCZFxBN+zyrcjuW8CMvGCWYTOWQplGFNX1lU541foG0xKDtS/HBS+iwS7A2
    k9sOGP89SJGb4ECzYSybnRr1sYlKds77tYZQ3AS+KSUDeDi/zCyu8Y6DzioRAhls
    jeke8YRdZj+NSZJ+MTTQlrUcL/50f89B0gK5zY7Dvb0oVmC9eVeaHHmeRbTweTuv
    YjQerHl47L8vCpPSOKBIHAlFMv4gg992yQYjdwIIWNF6KlbwA8X5ie/LM8RPRyeU
    8wTy4dQnsD9sQaWfEri4lVylzhViK5w21Lg+gqfkSm8ur1SSWlBNSBRDrX/A3kMR
    t3+KulbfEDnAhFjA5YLjqI8vIOEi5c1Ls/QoUuXyG8jQCuTaXluebMN2/F85aZmJ
    AjMEEAEKAB0WIQRmcgXjebrzSIY6XGaIylnoj2gVgAUCZGYp1AAKCRCIylnoj2gV
    gC+lD/9KvdfZm9I3DuKXItH6EzBAtrrjUvlooj1dupsnIPdJKxypKA/PCrztALbJ
    dOBIKrsXX121L+NFShaqup9TYcoWPkBZkr7ATDGke/KjO1NRRE1awBQeDQDmoQsx
    EGtL+M+Dd0Jv7SZ9eHMQ8YBDXwpB11v9ZiCWFPfk0J8C8BzypByq8uXzAh1h9mXG
    LsRgNwl6ARORw03TtYiqMLhOyGt9/+qNQZ0UfIKoQ9JRVYRY0cg0HYp4J1zb/i0Q
    r6g8fvy9lNX+Fcpu1mPX08fRHKTtJJNmdl15N5o+h/NhUhkO88veqtAMdJCGim7F
    uL14o2izbTgP8lqDpQp3Q3Lmxfrx3B0MV05u/OsmUx0NOMyLEiTt8KJOKKlMXkqV
    wH7CD1f7y9CcmTUOp1n5UMdiMYpSOaLIlSKlrOE1wv2TLdFnnX7QAcs9/GIdAR5N
    EDscTG6tC5lqSWWwdvMp8ZSa04lMiOZft8GZdgxab4Dn4hLTRBYcCfda0abItO72
    BPa0GFU2Ok3uPDUIySP7r1SJGL0bm1tXbAnSuXRlwon6xEEOwBHds+6lHEKUs3Ym
    o+OLD4Sf02Jl1GF+1Y+bI2PBxbiVluaUGuZDnPBfjKTELktuSsRSBMgLVQpe37fm
    ISkQE1I6+g6LKdsq7bGT43KBX3F2q7YVCqlfV047TQb6EJ+VU7gzBGRmG54WCSsG
    AQQB2kcPAQEHQDz1QTCdR5SStzy65qlYiN9gWjSU347TG/9sKcztDvAsiPUEGBYK
    ACYWIQSKi8EvRrg2wPnNs28dU9GHd0LpEQUCZGYbngIbAgUJEswDAACBCRAdU9GH
    d0LpEXYgBBkWCgAdFiEEksVh3lWuZVLzxza4KwFRCQYG0dkFAmRmG54ACgkQKwFR
    CQYG0dlqGAEAsH7jgDtmeLnLfH+ucBZk0dhkuVA9adN3Dy8yW83zTiUBAK4KBz/o
    0mYEoOOVwGMdtvTWByr7PEt83N96b553uBIJ800A/2F7rSfPvh7z+iePy7/2wTd9
    8xw/e3wp+I1Wtxo5UYjrAQCIiS2AkkuaKsdqi1TPOFkigpUHMcb7CeusiXYVIoR5
    DA==
    =kEP/
    -----END PGP PUBLIC KEY BLOCK-----

targets:
  lxc:
    create_message: |
      You just created an {{ image.distribution }} container.
    config:
    - type: all
      content: |-
        lxc.include = LXC_TEMPLATE_CONFIG/common.conf

    - type: user
      content: |-
        lxc.include = LXC_TEMPLATE_CONFIG/userns.conf

    - type: all
      content: |-
        lxc.arch = {{ image.architecture_kernel }}

files:
- path: /etc/hostname
  generator: hostname

- path: /etc/hosts
  generator: hosts

- path: /etc/config/network
  generator: dump
  content: |-
    config interface 'loopback'
        option ifname 'lo'
        option proto 'static'
        option ipaddr '127.0.0.1'
        option netmask '255.0.0.0'

    config interface 'wan'
        option ifname 'eth0'
        option proto 'dhcp'

    config interface 'wan6'
        option ifname 'eth0'
        option proto 'dhcpv6'

    config globals 'globals'
        option ula_prefix 'auto'

packages:
  manager: opkg
  update: false
  cleanup: true
  sets:
  - packages:
    - sudo
    action: install

actions:
- trigger: post-unpack
  action: |
    #!/bin/sh
    mkdir -p /var/log

- trigger: post-unpack
  action: |
    #!/bin/sh
    mkdir -p /var/lock
    echo "console::askfirst:/usr/libexec/login.sh" >> /etc/inittab
  architectures:
  - amd64

- trigger: post-files
  action: |
    #!/bin/sh

    # Disable process isolation to make dnsmasq work
    sed -i 's/procd_add_jail/: \0/g' /etc/init.d/dnsmasq
    # Disable conflicting sysntpd service to avoid crash loop
    rm -f /etc/rc.d/*sysntpd
  releases:
  - snapshot
  - 22.03
  - 23.05
  - 24.10
